Package org.eclipse.mat.inspections.osgi.model

## Class BundleFragment

- java.lang.Object
- - org.eclipse.mat.inspections.osgi.model.Bundle
  - - org.eclipse.mat.inspections.osgi.model.BundleFragment

    public class BundleFragment
    extends Bundle

### Constructor Summary

Constructors
`BundleFragment​(BundleDescriptor descriptor, String location, BundleDescriptor host)`
`BundleFragment​(BundleDescriptor descriptor, String location, BundleDescriptor host, List<BundleDescriptor> dependencies, List<BundleDescriptor> dependents, List<ExtensionPoint> points, List<Extension> extensions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BundleDescriptor` `getHost()`

### Methods inherited from class org.eclipse.mat.inspections.osgi.model.Bundle

`getBundleDescriptor, getDependencies, getDependents, getExtentionPoints, getExtentions, getFragments, getLocation, getRegisteredServices, getUsedServices`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleFragment

    public BundleFragment​(BundleDescriptor descriptor,
                          String location,
                          BundleDescriptor host)

#### BundleFragment

    public BundleFragment​(BundleDescriptor descriptor,
                          String location,
                          BundleDescriptor host,
                          List<BundleDescriptor> dependencies,
                          List<BundleDescriptor> dependents,
                          List<ExtensionPoint> points,
                          List<Extension> extensions)

### Method Detail

#### getHost

    public BundleDescriptor getHost()

Returns:
  resolved host that this fragment is attached to